
<ion-header>

  <ion-navbar color="primary">
    <ion-title *ngIf="pageCheckKtp">Cek KTP</ion-title>
    <ion-title *ngIf="page==0">Form Personal ({{type_personal}})</ion-title>
    <ion-title *ngIf="page==1">Alamat ({{type_personal}})</ion-title>
    <ion-title *ngIf="page==2">Keluraga & Pekerjaan ({{type_personal}})</ion-title>
    <ion-title *ngIf="page==3">Upload ({{type_personal}})</ion-title>
  </ion-navbar>

</ion-header>


<ion-content>
  <div id="checkKtp" *ngIf="pageCheckKtp">
    <div class="form">
      <label>Masukan No. KTP :</label>
      <ion-input type="tel" [(ngModel)]="formData.per_no_ktp.value" maxlength="16" minlength="15" placeholder="No. KTP (NIK)" ></ion-input>
    </div>
  </div>
  <div id="dataPersonal" *ngIf="page==0">
      <div class="form"> 
        <h4>Data Personal</h4>
        <label>Nomor KTP :</label>
        <ion-item>
          <ion-input type="number" [(ngModel)]="formData.per_no_ktp.value" maxlength="16" minlength="15" value=""></ion-input>
        </ion-item>
        
        <label>Nama Lengkap :</label>
        <ion-item>
            <ion-input type="text" [(ngModel)]="formData.per_nama_lengkap.value"></ion-input>
        </ion-item>
        <div class="message" *ngIf="!formData.per_nama_lengkap.isValid">
          <label>{{formData.per_nama_lengkap.message}}</label>
        </div>

        <label>Nama Panggilan :</label>
        <ion-item>
          <ion-input type="text" [(ngModel)]="formData.per_nama_panggilan.value" maxlength="50"></ion-input>
        </ion-item>
        <div class="message" *ngIf="!formData.per_nama_panggilan.isValid">
          <label>{{formData.per_nama_panggilan.message}}</label>
        </div>

        <label>Tempat Lahir :</label>
        <ion-item>        
            <ion-input type="date" [(ngModel)]="formData.per_tempat_lahir.value" (input)="date = $event.target.value" type="text" maxlength="50"></ion-input>
        </ion-item>
        <div class="message" *ngIf="!formData.per_tempat_lahir.isValid">
          <label>{{formData.per_tempat_lahir.message}}</label>
        </div>
        
        <label>Tanggal Lahir :</label>
        <ion-item>
            <ion-datetime [(ngModel)]="formData.per_tgl_lahir.value" displayFormat="DD-MM-YYYY"></ion-datetime>
        </ion-item>
        <div class="message" *ngIf="!formData.per_tgl_lahir.isValid">
          <label>{{formData.per_tgl_lahir.message}}</label>
        </div>

        <label>Jenis Kelamin :</label>
        <ion-select [(ngModel)]="formData.per_jenis_kelamin_id.value" class="select" placeholder="Jenis Kelamin" cancelText="Batal" okText="Pilih" interface="sheet ">
          <ion-option *ngFor="let item of (administratif ? administratif.jenis_kelamin:[])" value="{{item.id}}">{{item.nama_administratif}}</ion-option>
        </ion-select>
        <div class="message-select" *ngIf="!formData.per_jenis_kelamin_id.isValid">
          <label>{{formData.per_jenis_kelamin_id.message}}</label>
        </div>

        <label>Agama :</label>        
        <ion-select [(ngModel)]="formData.per_agama_id.value" class="select" placeholder="Agama" cancelText="Batal" okText="Pilih" interface="sheet ">
          <ion-option *ngFor="let item of (administratif ? administratif.agama:[])" value="{{item.id}}">{{item.nama_administratif}}</ion-option>
        </ion-select>
        <div class="message-select" *ngIf="!formData.per_agama_id.isValid">
          <label>{{formData.per_agama_id.message}}</label>
        </div>
      
        <label>Kewarganegaraan :</label>
        <ion-select [(ngModel)]="formData.per_kewarganegaraan_id.value" class="select" placeholder="Negara" cancelText="Batal" okText="Pilih" interface="sheet ">
          <ion-option *ngFor="let item of (administratif ? administratif.informasi_negara:[])" value="{{item.id}}">{{item.nama_negara}}</ion-option>
        </ion-select>
        <div class="message-select" *ngIf="!formData.per_kewarganegaraan_id.isValid">
          <label>{{formData.per_kewarganegaraan_id.message}}</label>
        </div>
      
        <label>Golongan Darah :</label>
        <ion-select [(ngModel)]="formData.per_golongan_darah_id.value" class="select" placeholder="Golongan Darah" cancelText="Batal" okText="Pilih" interface="sheet ">
          <ion-option *ngFor="let item of (administratif ? administratif.golongan_darah:[])" value="{{item.id}}">{{item.nama_administratif}}</ion-option>
        </ion-select>
        <div class="message-select" *ngIf="!formData.per_golongan_darah_id.isValid">
          <label>{{formData.per_golongan_darah_id.message}}</label>
        </div>
        
        <h4>Telepon & Email</h4>
        <label>No. Telepon :</label>
        <ion-item>
            <ion-input maxlength="16" type="tel" [(ngModel)]="formData.per_telepon_1.value"></ion-input>
        </ion-item>
        <div class="message" *ngIf="!formData.per_telepon_1.isValid">
          <label>{{formData.per_telepon_1.message}}</label>
        </div>

        <label>Email :</label>
        <ion-item>
            <ion-input type="email" [(ngModel)]="formData.per_email_1.value"></ion-input>
        </ion-item>
        <div class="message" *ngIf="!formData.per_email_1.isValid">
          <label>{{formData.per_email_1.message}}</label>
        </div>

      </div>
  </div>
  <div id="dataPersonal" *ngIf="page==1">
      <div class="form">

        <h4>Alamat</h4>
        <label>Alamat Rumah :</label>
        <ion-item>
            <ion-textarea [(ngModel)]="formData.alm_alamat.value" placeholder="Jl. Rumah No.10 RT/RW 03/03"></ion-textarea>
        </ion-item>
        <div class="message" *ngIf="!formData.alm_alamat.isValid">
          <label>{{formData.alm_alamat.message}}</label>
        </div>

        <label>Provinsi :</label>
        <ion-item>
            <ion-label fixed>Provinsi</ion-label>
            <select-searchable color="primary"
            item-content
            [(ngModel)]="formData.alm_provinsi_id.value"
            [items]="(regional.provinsi ? regional.provinsi:[])"
            itemValueField="id"
            itemTextField="nama_provinsi"
            [canSearch]="true"
            (onChange)="provChange($event)"
            ></select-searchable>
        </ion-item>
        <div class="message" *ngIf="!formData.alm_provinsi_id.isValid">
          <label>{{formData.alm_provinsi_id.message}}</label>
        </div>

        <label>Kota :</label>
        <ion-item>
            <ion-label fixed>Kota</ion-label>
            <select-searchable color="primary"
            item-content
            [(ngModel)]="formData.alm_kota_id.value"
            [items]="(regional.kota ? regional.kota:[])"
            itemValueField="id"
            itemTextField="nama_kota"
            [canSearch]="true"
            (onChange)="kotaChange($event)"
            ></select-searchable>
        </ion-item>
        <div class="message" *ngIf="!formData.alm_kota_id.isValid">
          <label>{{formData.alm_kota_id.message}}</label>
        </div>

        <label>Kecamatan :</label>
        <ion-item>
            <ion-label fixed>Kecamatan</ion-label>
            <select-searchable color="primary"
            item-content
            [(ngModel)]="formData.alm_kecamatan_id.value"
            [items]="(regional.kecamatan ? regional.kecamatan:[])"
            itemValueField="id"
            itemTextField="nama_kecamatan"
            [canSearch]="true"
            (onChange)="kecChange($event)"
            ></select-searchable>
        </ion-item>
        <div class="message" *ngIf="!formData.alm_kecamatan_id.isValid">
          <label>{{formData.alm_kecamatan_id.message}}</label>
        </div>

        <label>Kelurahan :</label>
        <ion-item>
            <ion-label fixed>Kelurahan</ion-label>
            <select-searchable color="primary"
            item-content
            [(ngModel)]="formData.alm_kelurahan_id.value"
            [items]="(regional.kelurahan ? regional.kelurahan:[])"
            itemValueField="id"
            itemTextField="nama_kelurahan"
            [canSearch]="true"
            (onChange)="kelChange($event)"
            ></select-searchable>
        </ion-item>
        <div class="message" *ngIf="!formData.alm_kelurahan_id.isValid">
          <label>{{formData.alm_kelurahan_id.message}}</label>
        </div>

        <label>Detail Lokasi :</label>
        <ion-item>
            <ion-textarea [(ngModel)]="formData.alm_detail_lokasi.value" placeholder="Sebutkan patokan jalan, atau cara mudah menemukan rumah konsumen."></ion-textarea>
        </ion-item>
        <div class="message" *ngIf="!formData.alm_detail_lokasi.isValid">
          <label>{{formData.alm_detail_lokasi.message}}</label>
        </div>

        <label>Koordinat Lokasi : <small><i>( GPS harus di aktifkan )</i></small></label>
        <div class="golocation">
          <ion-item>
            <ion-input type="text" [(ngModel)]="formData.alm_koordinat_lokasi.value" disabled></ion-input>
          </ion-item>
          <div class="message" *ngIf="!formData.alm_koordinat_lokasi.isValid">
            <label>{{formData.alm_koordinat_lokasi.message}}</label>
          </div>
          <!-- <div class="button-geo">
            <button ion-button class="btn btn-block btn-default" (click)="lockGeo()">Kunci Posisi</button>
          </div> -->

        </div>

      </div>
  </div> <!-- End Page Alamat -->
  <div id="dataPersonal" *ngIf="page==2">
    <div class="form">
      <h4>Keluarga</h4>

      <label>Status Perkawinan :</label>
      <ion-item>
        <ion-select [(ngModel)]="formData.kel_status_perkawinan_id.value" class="select" placeholder="Jenis Kelamin" cancelText="Batal" okText="Pilih" interface="sheet ">
          <ion-option *ngFor="let item of (administratif ? administratif.status_perkawinan:[])" value="{{item.id}}">{{item.nama_administratif}}</ion-option>
        </ion-select>
      </ion-item>
      <div class="message" *ngIf="!formData.kel_status_perkawinan_id.isValid">
        <label>{{formData.kel_status_perkawinan_id.message}}</label>
      </div>

      <label>Jumlah Tanggungan</label>
      <ion-item>
        <ion-input type="number" [(ngModel)]="formData.kel_tanggungan_keluarga.value"></ion-input>
      </ion-item>
      <div class="message" *ngIf="!formData.kel_tanggungan_keluarga.isValid">
        <label>{{formData.kel_tanggungan_keluarga.message}}</label>
      </div>

      <label>Anak ke- :</label>
      <ion-item>
        <ion-input type="number" [(ngModel)]="formData.kel_anak_nomor.value"></ion-input>
      </ion-item>
      <div class="message" *ngIf="!formData.kel_anak_nomor.isValid">
        <label>{{formData.kel_anak_nomor.message}}</label>
      </div>

      <label>Nama Ibu Kandung :</label>
      <ion-item>
        <ion-input type="text" [(ngModel)]="formData.kel_nama_ibu_kandung.value"></ion-input>
      </ion-item>
      <div class="message" *ngIf="!formData.kel_nama_ibu_kandung.isValid">
        <label>{{formData.kel_nama_ibu_kandung.message}}</label>
      </div>

      <h4>Pekerjaan</h4>

      <label>Bidang Usaha :</label>
      <ion-item>
        <ion-select [(ngModel)]="formData.ker_bidang_usaha_id.value" #K (ionChange)="getPekerjaan(K.value)" class="select" placeholder="Jenis Kelamin" cancelText="Batal" okText="Pilih" interface="sheet ">
          <ion-option *ngFor="let item of (pekerjaan.bidang_usaha ? pekerjaan.bidang_usaha:[])" value="{{item.id}}">{{item.bidang_usaha}}</ion-option>
        </ion-select>
      </ion-item>
      <div class="message" *ngIf="!formData.ker_bidang_usaha_id.isValid">
        <label>{{formData.ker_bidang_usaha_id.message}}</label>
      </div>
      <label>Jabatan / Profesi :</label>
      <ion-item>
        <ion-select [(ngModel)]="formData.ker_jabatan_id.value" class="select" placeholder="Jabatan" cancelText="Batal" okText="Pilih" interface="sheet ">
          <ion-option *ngFor="let item of (pekerjaan.jabatan ? pekerjaan.jabatan:[])" value="{{item.id}}">{{item.jabatan}}</ion-option>
        </ion-select>
      </ion-item>
      <div class="message" *ngIf="!formData.ker_jabatan_id.isValid">
        <label>{{formData.ker_jabatan_id.message}}</label>
      </div>
      
      <label>Nama Perusahaan :</label>
      <ion-item>
        <ion-input type="text" [(ngModel)]="formData.ker_nama_kantor.value"></ion-input>
      </ion-item>
      <div class="message" *ngIf="!formData.ker_nama_kantor.isValid">
        <label>{{formData.ker_nama_kantor.message}}</label>
      </div>

      <label>Alamat/ Lokasi :</label>
      <ion-item>
        <ion-textarea [(ngModel)]="formData.ker_alamat_kantor.value" placeholder="Jalan, Ruko, Lantai, No, dll"></ion-textarea>
      </ion-item>
      <div class="message" *ngIf="!formData.ker_alamat_kantor.isValid">
        <label>{{formData.ker_alamat_kantor.message}}</label>
      </div>

      <label>Telepon Kantor :</label>
      <ion-item>
        <ion-input type="tel" [(ngModel)]="formData.ker_telepon_kantor.value"></ion-input>
      </ion-item>
      <div class="message" *ngIf="!formData.ker_telepon_kantor.isValid">
        <label>{{formData.ker_telepon_kantor.message}}</label>
      </div>

      <label>Penghasilan :</label>
      <ion-item>
        <ion-select [(ngModel)]="formData.ker_penghasilan_id.value" class="select" placeholder="Jenis Kelamin" cancelText="Batal" okText="Pilih" interface="sheet ">
          <ion-option *ngFor="let item of (administratif ? administratif.total_penghasilan:[])" value="{{item.id}}">{{item.nama_administratif}}</ion-option>
        </ion-select>
      </ion-item>
      <div class="message" *ngIf="!formData.ker_penghasilan_id.isValid">
        <label>{{formData.ker_penghasilan_id.message}}</label>
      </div>
    </div>
  </div> <!-- End Page Pekerjaan -->
  <div id="dataPersonal" *ngIf="page==3">
    <div class="form">
      <div class="gambar">
        <h4>Photo Profile</h4>
        <div class="btn-group">
          <button ion-button (click)="takePhoto('photo')">
            <ion-icon name="camera"> Camera</ion-icon>
          </button>
          <button ion-button (click)="browsePhoto('photo')"><ion-icon name="images"> Album Foto</ion-icon></button>
        </div>
        <div class="result-img">
          <img src="{{myPhotoPreview}}" />
        </div>
      </div>
      
      <div class="gambar">
        <h4>Photo KTP</h4>
        <div class="btn-group">
          <button ion-button (click)="takePhoto('ktp')"> 
          <ion-icon name="camera"> Camera</ion-icon>
          </button>
          <button ion-button (click)="browsePhoto('ktp')"><ion-icon name="images"> Album Foto</ion-icon></button>
        </div>
        <div class="result-img">
          <img src="{{myKtpPreview}}" />
        </div>
      </div>
    </div>
  </div>
</ion-content>
<button *ngIf="pageCheckKtp" class="btn btn-primary btn-block bottom" ion-fixed (click)="checkKtp()">Cek Ktp</button>
<div *ngIf="!pageCheckKtp" class="btn-groups" ion-fixed>
  <button (click)="back()" class="btn btn-default">Kembali</button>
  <button *ngIf="!pageFinish" (click)="next()" class="btn btn-primary">Selanjutnya</button>
  <button *ngIf="pageFinish" (click)="finish()" class="btn btn-primary">Selesai & Simpan</button>
</div>
